Improper Authorization Affecting org.apache.hadoop:hadoop-ozone-s3gateway Open this link in a new tab package, versions [,1.1.0)


0.0
high
  • Attack Complexity

    Low

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHEHADOOP-1277186

  • published

    28 Apr 2021

  • disclosed

    28 Apr 2021

  • credit

    Kota Uenishi

How to fix?

Upgrade org.apache.hadoop:hadoop-ozone-s3gateway to version 1.1.0 or higher.

Overview

org.apache.hadoop:hadoop-ozone-s3gateway is a distributed object store for Hadoop.

Affected versions of this package are vulnerable to Improper Authorization. It allows access to keys and buckets through a curl command or an unauthenticated HTTP request. This enables unauthorized access to buckets and keys, thereby exposing data to anonymous clients or users.